## org.eclipse.datatools.modelbase.sql.expressions
Interface SQLExpressionsPackage

All Known Implementing Classes:
  SQLExpressionsPackageImpl

public interface SQLExpressionsPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLExpressionsFactory`

Nested Class Summary
`static interface` `SQLExpressionsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static SQLExpressionsPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `QUERY_EXPRESSION` The meta object id for the '`Query Expression`' class.
`static int` `QUERY_EXPRESSION_DEFAULT` The meta object id for the '`Query Expression Default`' class.
`static int` `QUERY_EXPRESSION_DEFAULT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `QUERY_EXPRESSION_DEFAULT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `QUERY_EXPRESSION_DEFAULT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `QUERY_EXPRESSION_DEFAULT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `QUERY_EXPRESSION_DEFAULT__LABEL` The feature id for the 'Label' attribute.
`static int` `QUERY_EXPRESSION_DEFAULT__NAME` The feature id for the 'Name' attribute.
`static int` `QUERY_EXPRESSION_DEFAULT__SQL` The feature id for the 'SQL' attribute.
`static int` `QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT` The number of structural features of the 'Query Expression Default' class.
`static int` `QUERY_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Query Expression' class.
`static int` `SEARCH_CONDITION` The meta object id for the '`Search Condition`' class.
`static int` `SEARCH_CONDITION_DEFAULT` The meta object id for the '`Search Condition Default`' class.
`static int` `SEARCH_CONDITION_DEFAULT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SEARCH_CONDITION_DEFAULT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SEARCH_CONDITION_DEFAULT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SEARCH_CONDITION_DEFAULT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SEARCH_CONDITION_DEFAULT__LABEL` The feature id for the 'Label' attribute.
`static int` `SEARCH_CONDITION_DEFAULT__NAME` The feature id for the 'Name' attribute.
`static int` `SEARCH_CONDITION_DEFAULT__SQL` The feature id for the 'SQL' attribute.
`static int` `SEARCH_CONDITION_DEFAULT_FEATURE_COUNT` The number of structural features of the 'Search Condition Default' class.
`static int` `SEARCH_CONDITION_FEATURE_COUNT` The number of structural features of the 'Search Condition' class.
`static int` `VALUE_EXPRESSION` The meta object id for the '`Value Expression`' class.
`static int` `VALUE_EXPRESSION_DEFAULT` The meta object id for the '`Value Expression Default`' class.
`static int` `VALUE_EXPRESSION_DEFAULT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `VALUE_EXPRESSION_DEFAULT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `VALUE_EXPRESSION_DEFAULT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `VALUE_EXPRESSION_DEFAULT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `VALUE_EXPRESSION_DEFAULT__LABEL` The feature id for the 'Label' attribute.
`static int` `VALUE_EXPRESSION_DEFAULT__NAME` The feature id for the 'Name' attribute.
`static int` `VALUE_EXPRESSION_DEFAULT__SQL` The feature id for the 'SQL' attribute.
`static int` `VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT` The number of structural features of the 'Value Expression Default' class.
`static int` `VALUE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Value Expression' class.

Method Summary
`EClass` `getQueryExpression()` Returns the meta object for class '`Query Expression`'.
`EAttribute` `getQueryExpressionDefault_SQL()` Returns the meta object for the attribute '`SQL`'.
`EClass` `getQueryExpressionDefault()` Returns the meta object for class '`Query Expression Default`'.
`EClass` `getSearchCondition()` Returns the meta object for class '`Search Condition`'.
`EAttribute` `getSearchConditionDefault_SQL()` Returns the meta object for the attribute '`SQL`'.
`EClass` `getSearchConditionDefault()` Returns the meta object for class '`Search Condition Default`'.
`SQLExpressionsFactory` `getSQLExpressionsFactory()` Returns the factory that creates the instances of the model.
`EClass` `getValueExpression()` Returns the meta object for class '`Value Expression`'.
`EAttribute` `getValueExpressionDefault_SQL()` Returns the meta object for the attribute '`SQL`'.
`EClass` `getValueExpressionDefault()` Returns the meta object for class '`Value Expression Default`'.

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    public static final SQLExpressionsPackage eINSTANCE

  The singleton instance of the package.

### QUERY_EXPRESSION

    public static final int QUERY_EXPRESSION

  The meta object id for the '`Query Expression`' class.

  See Also:
    `QueryExpression`, `SQLExpressionsPackageImpl.getQueryExpression()`, Constant Field Values

### QUERY_EXPRESSION_FEATURE_COUNT

    public static final int QUERY_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Query Expression' class.

  See Also:
    Constant Field Values

### VALUE_EXPRESSION

    public static final int VALUE_EXPRESSION

  The meta object id for the '`Value Expression`' class.

  See Also:
    `ValueExpression`, `SQLExpressionsPackageImpl.getValueExpression()`, Constant Field Values

### VALUE_EXPRESSION_FEATURE_COUNT

    public static final int VALUE_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Value Expression' class.

  See Also:
    Constant Field Values

### SEARCH_CONDITION

    public static final int SEARCH_CONDITION

  The meta object id for the '`Search Condition`' class.

  See Also:
    `SearchCondition`, `SQLExpressionsPackageImpl.getSearchCondition()`, Constant Field Values

### SEARCH_CONDITION_FEATURE_COUNT

    public static final int SEARCH_CONDITION_FEATURE_COUNT

  The number of structural features of the 'Search Condition' class.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_DEFAULT

    public static final int QUERY_EXPRESSION_DEFAULT

  The meta object id for the '`Query Expression Default`' class.

  See Also:
    `QueryExpressionDefaultImpl`, `SQLExpressionsPackageImpl.getQueryExpressionDefault()`, Constant Field Values

### QUERY_EXPRESSION_DEFAULT__EANNOTATIONS

    public static final int QUERY_EXPRESSION_DEFAULT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### QUERY_EXPRESSION_DEFAULT__NAME

    public static final int QUERY_EXPRESSION_DEFAULT__NAME

  The feature id for the 'Name' attribute.

### QUERY_EXPRESSION_DEFAULT__DEPENDENCIES

    public static final int QUERY_EXPRESSION_DEFAULT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### QUERY_EXPRESSION_DEFAULT__DESCRIPTION

    public static final int QUERY_EXPRESSION_DEFAULT__DESCRIPTION

  The feature id for the 'Description' attribute.

### QUERY_EXPRESSION_DEFAULT__LABEL

    public static final int QUERY_EXPRESSION_DEFAULT__LABEL

  The feature id for the 'Label' attribute.

### QUERY_EXPRESSION_DEFAULT__COMMENTS

    public static final int QUERY_EXPRESSION_DEFAULT__COMMENTS

  The feature id for the 'Comments' reference list.

### QUERY_EXPRESSION_DEFAULT__SQL

    public static final int QUERY_EXPRESSION_DEFAULT__SQL

  The feature id for the 'SQL' attribute.

### QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT

    public static final int QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT

  The number of structural features of the 'Query Expression Default' class.

### SEARCH_CONDITION_DEFAULT

    public static final int SEARCH_CONDITION_DEFAULT

  The meta object id for the '`Search Condition Default`' class.

  See Also:
    `SearchConditionDefaultImpl`, `SQLExpressionsPackageImpl.getSearchConditionDefault()`, Constant Field Values

### SEARCH_CONDITION_DEFAULT__EANNOTATIONS

    public static final int SEARCH_CONDITION_DEFAULT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SEARCH_CONDITION_DEFAULT__NAME

    public static final int SEARCH_CONDITION_DEFAULT__NAME

  The feature id for the 'Name' attribute.

### SEARCH_CONDITION_DEFAULT__DEPENDENCIES

    public static final int SEARCH_CONDITION_DEFAULT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### SEARCH_CONDITION_DEFAULT__DESCRIPTION

    public static final int SEARCH_CONDITION_DEFAULT__DESCRIPTION

  The feature id for the 'Description' attribute.

### SEARCH_CONDITION_DEFAULT__LABEL

    public static final int SEARCH_CONDITION_DEFAULT__LABEL

  The feature id for the 'Label' attribute.

### SEARCH_CONDITION_DEFAULT__COMMENTS

    public static final int SEARCH_CONDITION_DEFAULT__COMMENTS

  The feature id for the 'Comments' reference list.

### SEARCH_CONDITION_DEFAULT__SQL

    public static final int SEARCH_CONDITION_DEFAULT__SQL

  The feature id for the 'SQL' attribute.

### SEARCH_CONDITION_DEFAULT_FEATURE_COUNT

    public static final int SEARCH_CONDITION_DEFAULT_FEATURE_COUNT

  The number of structural features of the 'Search Condition Default' class.

### VALUE_EXPRESSION_DEFAULT

    public static final int VALUE_EXPRESSION_DEFAULT

  The meta object id for the '`Value Expression Default`' class.

  See Also:
    `ValueExpressionDefaultImpl`, `SQLExpressionsPackageImpl.getValueExpressionDefault()`, Constant Field Values

### VALUE_EXPRESSION_DEFAULT__EANNOTATIONS

    public static final int VALUE_EXPRESSION_DEFAULT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### VALUE_EXPRESSION_DEFAULT__NAME

    public static final int VALUE_EXPRESSION_DEFAULT__NAME

  The feature id for the 'Name' attribute.

### VALUE_EXPRESSION_DEFAULT__DEPENDENCIES

    public static final int VALUE_EXPRESSION_DEFAULT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### VALUE_EXPRESSION_DEFAULT__DESCRIPTION

    public static final int VALUE_EXPRESSION_DEFAULT__DESCRIPTION

  The feature id for the 'Description' attribute.

### VALUE_EXPRESSION_DEFAULT__LABEL

    public static final int VALUE_EXPRESSION_DEFAULT__LABEL

  The feature id for the 'Label' attribute.

### VALUE_EXPRESSION_DEFAULT__COMMENTS

    public static final int VALUE_EXPRESSION_DEFAULT__COMMENTS

  The feature id for the 'Comments' reference list.

### VALUE_EXPRESSION_DEFAULT__SQL

    public static final int VALUE_EXPRESSION_DEFAULT__SQL

  The feature id for the 'SQL' attribute.

### VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT

    public static final int VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT

  The number of structural features of the 'Value Expression Default' class.

Method Detail

### getQueryExpression

    public EClass getQueryExpression()

  Returns the meta object for class '`Query Expression`'.

  Returns:
    the meta object for class 'Query Expression'.
  See Also:
    `QueryExpression`

### getValueExpression

    public EClass getValueExpression()

  Returns the meta object for class '`Value Expression`'.

  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`

### getSearchCondition

    public EClass getSearchCondition()

  Returns the meta object for class '`Search Condition`'.

  Returns:
    the meta object for class 'Search Condition'.
  See Also:
    `SearchCondition`

### getQueryExpressionDefault

    public EClass getQueryExpressionDefault()

  Returns the meta object for class '`Query Expression Default`'.

  Returns:
    the meta object for class 'Query Expression Default'.
  See Also:
    `QueryExpressionDefault`

### getQueryExpressionDefault_SQL

    public EAttribute getQueryExpressionDefault_SQL()

  Returns the meta object for the attribute '`SQL`'.

  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `QueryExpressionDefault.getSQL()`, `getQueryExpressionDefault()`

### getSearchConditionDefault

    public EClass getSearchConditionDefault()

  Returns the meta object for class '`Search Condition Default`'.

  Returns:
    the meta object for class 'Search Condition Default'.
  See Also:
    `SearchConditionDefault`

### getSearchConditionDefault_SQL

    public EAttribute getSearchConditionDefault_SQL()

  Returns the meta object for the attribute '`SQL`'.

  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `SearchConditionDefault.getSQL()`, `getSearchConditionDefault()`

### getValueExpressionDefault

    public EClass getValueExpressionDefault()

  Returns the meta object for class '`Value Expression Default`'.

  Returns:
    the meta object for class 'Value Expression Default'.
  See Also:
    `ValueExpressionDefault`

### getValueExpressionDefault_SQL

    public EAttribute getValueExpressionDefault_SQL()

  Returns the meta object for the attribute '`SQL`'.

  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `ValueExpressionDefault.getSQL()`, `getValueExpressionDefault()`

### getSQLExpressionsFactory

    public SQLExpressionsFactory getSQLExpressionsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.